GET api/tenantreferencing/case/{tenancyRoleId}
Gets a tenancy referencing case based on the role id supplied Processes this tenant referencing API request. The parameter and response sections describe the data exchanged with the API.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| tenancyRoleId |
The id of the tenancy role the case linked to. |
integer |
Required |
Body Parameters
None.
Response Information
Resource Description
HomeLetCaseDataContract
HomeLetCaseDataContract| Name | Description | Type | Additional information |
|---|---|---|---|
| Id |
The unique identifier of this resource. |
string |
None. |
| address |
The address value. |
HomeLetAddressDataContract |
None. |
| totalRent |
The total rent value. |
decimal number |
None. |
| tenancyStartDate |
The tenancy start date value. |
string |
None. |
| tenancyTerm |
The tenancy term value. |
integer |
None. |
| numberOfTenants |
The number of tenants value. |
integer |
None. |
| propertyType |
The property type value. |
integer |
None. |
| propertyLetType |
The property let type value. |
integer |
None. |
| rentGuaranteeOfferingType |
The rent guarantee offering type value. |
integer |
None. |
| propertyBuiltInRangeType |
The property built in range type value. |
integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"Id": "sample string 1",
"address": {
"flat": "sample string 1",
"houseName": "sample string 2",
"houseNumber": "sample string 3",
"street": "sample string 4",
"town": "sample string 5",
"postcode": "sample string 6"
},
"totalRent": 2.1,
"tenancyStartDate": "sample string 3",
"tenancyTerm": 4,
"numberOfTenants": 5,
"propertyType": 6,
"propertyLetType": 7,
"rentGuaranteeOfferingType": 8,
"propertyBuiltInRangeType": 9
}